Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.sac
Class CSSAttributeCondition

    java.lang.Object
      org.apache.batik.css.engine.sac.AbstractAttributeCondition
          org.apache.batik.css.engine.sac.CSSAttributeCondition

All Implemented Interfaces:
  ExtendedCondition, org.w3c.css.sac.AttributeCondition, org.w3c.css.sac.Condition

Direct Known Subclasses:
  CSSBeginHyphenAttributeCondition, CSSClassCondition, CSSOneOfAttributeCondition

    public class CSSAttributeCondition

extends AbstractAttributeCondition

This class provides an implementation of the `AttributeCondition` interface.

Field Summary
`protected String` | `localName` The attribute's local name.
`protected String` | `namespaceURI` The attribute's namespace URI.
`protected boolean` | `specified` Whether this condition applies to specified attributes.

Fields inherited from class org.apache.batik.css.engine.sac.AbstractAttributeCondition
`value`

Fields inherited from interface org.w3c.css.sac.Condition
`SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

Constructor Summary
`CSSAttributeCondition(String localName, String namespaceURI, boolean specified, String value)` Creates a new CSSAttributeCondition object.

Method Summary
`boolean` | `equals(Object obj)` Indicates whether some other object is "equal to" this one.
`void` | `fillAttributeSet(Set attrSet)` Fills the given set with the attribute names found in this selector.
`short` | `getConditionType()` SAC: Implements `Condition.getConditionType()`.
`String` | `getLocalName()` SAC: Implements `AttributeCondition.getLocalName()`.
`String` | `getNamespaceURI()` SAC: Implements `AttributeCondition.getNamespaceURI()`.
`boolean` | `getSpecified()` SAC: Implements `AttributeCondition.getSpecified()`.
`int` | `hashCode()` equal objects should have equal hashCodes.
`boolean` | `match(Element e, String pseudoE)` Tests whether this condition matches the given element.
`String` | `toString()` Returns a text representation of this object.

Methods inherited from class org.apache.batik.css.engine.sac.AbstractAttributeCondition
`getSpecificity, getValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### localName

    protected String localName

  The attribute's local name.

### namespaceURI

    protected String namespaceURI

  The attribute's namespace URI.

### specified

    protected boolean specified

  Whether this condition applies to specified attributes.

Constructor Detail

### CSSAttributeCondition

    public CSSAttributeCondition(String localName,
                                 String namespaceURI,
                                 boolean specified,
                                 String value)

  Creates a new CSSAttributeCondition object.

Method Detail

### equals

    public boolean equals(Object obj)

  Indicates whether some other object is "equal to" this one.

  Overrides:
    `equals` in class `AbstractAttributeCondition`
  Parameters:
    `obj` - the reference object with which to compare.

### hashCode

    public int hashCode()

  equal objects should have equal hashCodes.

  Overrides:
    `hashCode` in class `AbstractAttributeCondition`
  Returns:
    hashCode of this CSSAttributeCondition

### getConditionType

    public short getConditionType()

  SAC: Implements `Condition.getConditionType()`.

### getNamespaceURI

    public String getNamespaceURI()

  SAC: Implements `AttributeCondition.getNamespaceURI()`.

### getLocalName

    public String getLocalName()

  SAC: Implements `AttributeCondition.getLocalName()`.

### getSpecified

    public boolean getSpecified()

  SAC: Implements `AttributeCondition.getSpecified()`.

### match

    public boolean match(Element e,
                         String pseudoE)

  Tests whether this condition matches the given element.

### fillAttributeSet

    public void fillAttributeSet(Set attrSet)

  Fills the given set with the attribute names found in this selector.

### toString

    public String toString()

  Returns a text representation of this object.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.